Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0039986
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 07. Sales managementmajoralways2019-01-21 14:392019-03-28 14:55
Reporterjoniturralde93View Statuspublic 
Assigned ToAtulOpenbravo 
PriorityurgentResolutionfixedFixed in Version3.0PR19Q2
StatusclosedFix in branchFixed in SCM revision9195e827f97c
ProjectionnoneETAnoneTarget Versionpi
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned ToSandrahuguet
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0039986: Invoice status in goods shipment is not correctly calculated in some circumstances

DescriptionWhen you create an invoice from a goods shipment, if that goods shipment has same possitive and negative line quantities, after completing the invoice, invoice status in shipment window keeps as 0%
Steps To Reproduce1. Create a sales order with two lines, one with quantity 1 and the other with quantity -1.
2. Delete the 10% basic discount, so only those two lines appear for the shipment.
3. Book the order.
4. Create a goods shipment and 'create lines from' that order, add the two lines.
5. Complete the goods shipment (you may need to change Storage Bin status to 'Undefined - Overissue' in order to complete the shipment).
6. Create a sales invoice and 'create lines from shipment', select both lines. Complete the invoice.
7. Go to the sales order and refresh it. Invoice status: 100%
8. Go to goods shipment and refresh it. Invoice status: 0%
Proposed SolutionPL C_GETINVOICESTATUSFROMSHIPMENT treatment on line positive/negative quantities is probably not correct.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0109155)
AtulOpenbravo (developer)
2019-01-24 11:40

1. Login as F&B International Group Admin
2. Create a sales order with two lines, one with quantity 10 and the other with quantity -10.
3. Delete records from basic discount tab, so only those two lines appear for the shipment.
4. Book the order.
5. Create a goods shipment and 'create lines from' that order, add the two lines.
6. Complete the goods shipment (you may need to change Storage Bin status to 'Undefined - Overissue' in order to complete the shipment).
7. Create a sales invoice and 'create lines from shipment', select both lines. Complete the invoice.
8. Go to the sales order and refresh it. Invoice status: 100%
9. Go to goods shipment and refresh it. Invoice status: 100%
(0109234)
hgbot (developer)
2019-01-24 16:25

Repository: erp/devel/pi
Changeset: 9195e827f97ce09aee6f73fdc9f223bb0b1e4f6a
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Thu Jan 24 16:07:24 2019 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/9195e827f97ce09aee6f73fdc9f223bb0b1e4f6a [^]

Fixes Issue 39986:Invoice status in goods shipment is not correctly
calculated in some circumstances

** When calculating invoice status sum of absolute value of quantities
should be considered to have proper invoice status values. If
quantities are combination of positive and negative values then simple
sum will produce wrong results.

---
M src-db/database/model/functions/C_GETINVOICESTATUSFROMSHIPMENT.xml
---
(0109235)
Sandrahuguet (developer)
2019-01-24 16:28

Code review + testing OK
(0110760)
hudsonbot (developer)
2019-03-28 14:55

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b2fbc1588df4 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-01-21 14:39 joniturralde93 New Issue
2019-01-21 14:39 joniturralde93 Assigned To => Triage Finance
2019-01-21 14:39 joniturralde93 Modules => Core
2019-01-21 14:39 joniturralde93 Triggers an Emergency Pack => No
2019-01-21 14:41 Practics Issue Monitored: Practics
2019-01-21 16:00 dmiguelez Assigned To Triage Finance => AtulOpenbravo
2019-01-24 11:40 AtulOpenbravo Status new => scheduled
2019-01-24 11:40 AtulOpenbravo Note Added: 0109155
2019-01-24 16:25 hgbot Checkin
2019-01-24 16:25 hgbot Note Added: 0109234
2019-01-24 16:25 hgbot Status scheduled => resolved
2019-01-24 16:25 hgbot Resolution open => fixed
2019-01-24 16:25 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/9195e827f97ce09aee6f73fdc9f223bb0b1e4f6a [^]
2019-01-24 16:28 Sandrahuguet Review Assigned To => Sandrahuguet
2019-01-24 16:28 Sandrahuguet Note Added: 0109235
2019-01-24 16:28 Sandrahuguet Status resolved => closed
2019-01-24 16:28 Sandrahuguet Fixed in Version => 3.0PR19Q2
2019-03-28 14:55 hudsonbot Checkin
2019-03-28 14:55 hudsonbot Note Added: 0110760


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker